uim-qt5 check is broken

Bug #1642001 reported by Vsevolod Velichko on 2016-11-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
im-config (Debian)
Fix Released
Unknown
im-config (Ubuntu)
Medium
Gunnar Hjalmarsson
Xenial
Medium
Gunnar Hjalmarsson
Yakkety
Medium
Gunnar Hjalmarsson

Bug Description

[Impact]

XIM support check for Qt5 in UIM is broken — it uses the same paths as
for Qt4, but they've been changed.

Fix uploaded to yakkety queue; xenial patch attached.

[Test Case]

After the change, this command:

grep platforminputcontexts /usr/share/im-config/data/24_uim.rc

should output:

for IM_CONFIG_MARKER in /usr/lib/*/qt5/plugins/platforminputcontexts/libuimplatforminputcontextplugin.so; do

[Regression Potential]

None.

Changed in im-config (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-config - 0.29-1.4ubuntu1

---------------
im-config (0.29-1.4ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable (LP: #1482938, LP: #1642001), remaining
    changes:
    - d/im-config.user-session.upstart, d/im-config.links, d/rules:
      - Install upstart user session job.
    - d/user/im-config.override, d/user/im-config.service, d/rules:
      - Install systemd user session job.
    - debian/menu
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/03-not-always-require-zenity.patch
    - debian/patches/use-distinguishable-abstract-address.patch

  * debian/patches/use-whiptail-as-better-dialog.patch:
    - Dropped; applied upstream.

 -- Gunnar Hjalmarsson <email address hidden> Wed, 16 Nov 2016 03:44:00 +0100

Changed in im-config (Ubuntu):
status: In Progress → Fix Released
Changed in im-config (Debian):
status: Unknown → Fix Released
Changed in im-config (Ubuntu Yakkety):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
description: updated
Gunnar Hjalmarsson (gunnarhj) wrote :
description: updated
tags: added: patch

Hello Vsevolod, or anyone else affected,

Accepted im-config into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/im-config/0.29-1ubuntu16.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in im-config (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Gunnar Hjalmarsson (gunnarhj) wrote :

Installed im-config 0.29-1ubuntu16.1 from yakkety-proposed and can verify the test case.

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Sponsored the xenial update, unsubscribing sponsors now. Thanks!

Changed in im-config (Ubuntu Xenial):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Robie Basak (racb) wrote :

Hello Vsevolod, or anyone else affected,

Accepted im-config into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/im-config/0.29-1ubuntu12.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in im-config (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Gunnar Hjalmarsson (gunnarhj) wrote :

Installed im-config 0.29-1ubuntu12.3 from xenial-proposed and verified the test case.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-config - 0.29-1ubuntu16.1

---------------
im-config (0.29-1ubuntu16.1) yakkety-proposed; urgency=medium

  * debian/patches/fix-uim-qt5.patch:
    - Fix uim Qt5 immodule path (LP: #1642001).
  * debian/patches/gcin-qt5.patch:
    - Add gcin Qt5 immodule (LP: #1482938).

 -- Gunnar Hjalmarsson <email address hidden> Wed, 16 Nov 2016 10:41:00 +0100

Changed in im-config (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for im-config has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Gunnar Hjalmarsson (gunnarhj) wrote :

Re-subscribed ~ubuntu-sru, since there is a change in xenial-proposed as well.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-config - 0.29-1ubuntu12.3

---------------
im-config (0.29-1ubuntu12.3) xenial-proposed; urgency=medium

  * debian/patches/fix-uim-qt5.patch:
    - Fix uim Qt5 immodule path (LP: #1642001).
  * debian/patches/gcin-qt5.patch:
    - Add gcin Qt5 immodule (LP: #1482938).

 -- Gunnar Hjalmarsson <email address hidden> Wed, 16 Nov 2016 11:14:00 +0100

Changed in im-config (Ubuntu Xenial):
status: Fix Committed → Fix Released
description: updated
Gunnar Hjalmarsson (gunnarhj) wrote :

Description changed by mistake; reversed now.

description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.